using Domain.Dtos.Stock;
using Domain.Generics;

namespace Core.Interfaces.Stock
{
    public interface ILSStockScanDom
    {
        Task<PagedResult<StockItemScanResultDto>> SearchAsync(StockItemSearchParams p);
        Task<PagedResult<StockItemScanResultDto>> SearchParsedAsync(StockItemParsedSearchParams p, CancellationToken ct = default);

    }
}